DROP VIEW V_PAYMENT_TRANSACTION;

CREATE OR REPLACE VIEW V_PAYMENT_TRANSACTION AS (
SELECT PT.ID, PT.ID_LASTNIKA, PT.ACCOUNT_FROM, PT.ACCOUNT_TO, PT.AMOUNT, PT.CURRENCY_CODE, PT.TRANSACTION_DATE, PT.TRANSACTION_MESSAGE, PT.STATUS, 
PT.PAYMENT_NKNJIZBA, PT."COMMENT", PT.NNLOCATION_ID, PT.REFERENCE, PT.INVOICE_NUMBER, PT.NEW_INTERNAL_TRANSACTION, 
(SELECT SUM(S.ZA_PLACILO) FROM SALDKONT S, PAYMENT_TRANSACTION_SALDKONT PTS WHERE S.ID_SALDKONT = PTS.ID_SALDKONT AND PTS.ID_PAYMENT_TRANSACTION = PT.ID) AS APPLIED_AMOUNT,
KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, 
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
PKN.SLO AS PAYMENT_NKNJIZBA_OPIS, PKN.SALDKONT AS PAYMENT_NKNJIZBA_SALDKONT
FROM PAYMENT_TRANSACTION PT
LEFT OUTER JOIN KUPCI KU ON KU.ID = PT.ID_LASTNIKA
LEFT OUTER JOIN NKNJIZBA PKN ON PKN.NKNJIZBA = PT.PAYMENT_NKNJIZBA
);

ALTER TABLE NNLOCATION
ADD DOCUMENT_NUMBERING_CODE VARCHAR2(20 CHAR);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1483, SYSDATE, '5.5', 1403, 'VPaymentTransaction')
;