CREATE TABLE NDEPARTMENT (
SIFRA VARCHAR2(3 CHAR), 
OPIS VARCHAR2(100 CHAR), 
INTERNI_OPIS VARCHAR2(100 CHAR), 
CONSTRAINT PK_NDEPARTMENT PRIMARY KEY (SIFRA)
);
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('REC', 'Reception desk', 'Reception desk');
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('SAL', 'Sales', 'Sales');
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('BOK', 'Bookeeping', 'Bookeeping');
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('SAI', 'Sailers', 'Sailers');
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('SER', 'Service', 'Service');
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('IT', 'IT department', 'IT department');
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('MAN', 'Management', 'Management');
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('SUP', 'Purchasing dep.', 'Purchasing dep.');
INSERT INTO NDEPARTMENT (SIFRA, OPIS, INTERNI_OPIS) VALUES ('OTH', 'Other', 'Other');

CREATE TABLE NUSERDEP (
ID_NUSERDEP NUMBER NOT NULL,
NUSER VARCHAR2(30 CHAR) NOT NULL,
NDEPARTMENT VARCHAR2(3 CHAR) NOT NULL,
CONSTRAINT PK_NUSERDEP PRIMARY KEY (ID_NUSERDEP)
);

CREATE SEQUENCE ID_NUSERDEP_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE ;


CREATE TABLE NNALARM (
SFALARM VARCHAR2(10 CHAR) NOT NULL,
OPIS VARCHAR2(100 CHAR) NOT NULL, 
INTERNI_OPIS VARCHAR2(100 CHAR) NOT NULL,
constraint PK_NNALARM primary key (SFALARM));

INSERT INTO NNALARM (SFALARM, OPIS, INTERNI_OPIS) VALUES ('UM', 'USER MESSAGE', 'USER MESSAGE');
INSERT INTO NNALARM (SFALARM, OPIS, INTERNI_OPIS) VALUES ('BF', 'BERTH FREE', 'BERTH FREE');
INSERT INTO NNALARM (SFALARM, OPIS, INTERNI_OPIS) VALUES ('BO', 'BERTH OCCUPIED', 'BERTH OCCUPIED');
INSERT INTO NNALARM (SFALARM, OPIS, INTERNI_OPIS) VALUES ('DE', 'DATA EXPIRED', 'DATA EXPIRED');
INSERT INTO NNALARM (SFALARM, OPIS, INTERNI_OPIS) VALUES ('DA', 'DATA ALARM', 'DATA ALARM');

CREATE TABLE NNALARMMODULE(
SFMODULE VARCHAR2(10 CHAR) NOT NULL,
OPIS VARCHAR2(100 CHAR) NOT NULL, 
INTERNI_OPIS VARCHAR2(100 CHAR) NOT NULL,
constraint PK_NNALARMMODULE primary key (SFMODULE));

INSERT INTO NNALARMMODULE (SFMODULE, OPIS, INTERNI_OPIS) VALUES ('MM', 'MARINA MASTER', 'MARINA MASTER');
INSERT INTO NNALARMMODULE (SFMODULE, OPIS, INTERNI_OPIS) VALUES ('BS', 'BERTH SENSORS', 'BERTH SENSORS');
INSERT INTO NNALARMMODULE (SFMODULE, OPIS, INTERNI_OPIS) VALUES ('RF', 'RFID', 'RFID');
INSERT INTO NNALARMMODULE (SFMODULE, OPIS, INTERNI_OPIS) VALUES ('WC', 'WESSEL CHECK', 'WESSEL CHECK');
INSERT INTO NNALARMMODULE (SFMODULE, OPIS, INTERNI_OPIS) VALUES ('AD', 'ANDROID DEVICE', 'ANDROID DEVICE');


CREATE TABLE ALARM_DATA(
ID_ALARM NUMBER NOT NULL,
SFALARM VARCHAR2(10 CHAR) NOT NULL,
SFMODULE VARCHAR2(10 CHAR) NOT NULL,
DATUM_KREIRANJA DATE NOT NULL,
USER_KREIRANJA VARCHAR2(20 CHAR) NOT NULL,
DATUM_ZAPADLOST DATE,
SFTRIGGER VARCHAR2(1 CHAR) NOT NULL,
USER_MESSAGE VARCHAR2(250 CHAR),
ASOCIATED_TABLE VARCHAR2(50),
ASOCIATED_DATA VARCHAR2(50),
STATUS VARCHAR2(1 CHAR) NOT NULL,
CONSTRAINT PK_ALARM_DATA PRIMARY KEY (ID_ALARM));

CREATE SEQUENCE ID_ALARM_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE ;

CREATE TABLE ALARM_RECIEVE(
ID_ALARM_RECIEVE NUMBER NOT NULL,
ID_ALARM NUMBER NOT NULL,
RECIEVE_TYPE VARCHAR2(10 CHAR) NOT NULL,
RECIEVE_DATA VARCHAR2(50 CHAR) NOT NULL,
CONSTRAINT PK_ALARM_RECIEVE PRIMARY KEY (ID_ALARM_RECIEVE));

CREATE SEQUENCE ID_ALARM_RECIEVE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE ;

CREATE TABLE ALARM_RECIEVE_DETAIL(
ID_ALARM_RECIEVE_DET NUMBER NOT NULL,
ID_ALARM_RECIEVE NUMBER NOT NULL,
USER_RECIEVE VARCHAR2(10 CHAR) NOT NULL,
DATE_RECIEVE DATE,
CONSTRAINT PK_ALARM_RECIEVE_DETAIL PRIMARY KEY (ID_ALARM_RECIEVE_DET));

CREATE SEQUENCE ID_ALARM_RECIEVE_DET_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE ;

CREATE TABLE ALARM_HISTORY(
ID_ALARM NUMBER NOT NULL,
SFALARM VARCHAR2(10 CHAR) NOT NULL,
SFMODULE VARCHAR2(10 CHAR) NOT NULL,
DATUM_KREIRANJA DATE NOT NULL,
USER_KREIRANJA VARCHAR2(20 CHAR) NOT NULL,
DATUM_ZAPADLOST DATE,
SFTRIGGER VARCHAR2(1 CHAR) NOT NULL,
USER_MESSAGE VARCHAR2(250 CHAR),
ASOCIATED_TABLE VARCHAR2(50),
ASOCIATED_DATA VARCHAR2(50),
STATUS VARCHAR2(1 CHAR) NOT NULL,
CONSTRAINT PK_ALARM_HISTORY PRIMARY KEY (ID_ALARM));

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('NUSERDEP','NUSER','NUSER','NUSER','S','USER_','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('NUSERDEP','NDEPARTMENT','NDEPARTMENT','SIFRA','S','OPIS','S');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (293, SYSDATE, '5.5', 213, 'Alarmi');