UPDATE REZERVAC
SET VRSTA='RE'
WHERE VRSTA IS NULL;

UPDATE REZERVAC
SET STATUS_REZERVAC=4
WHERE STATUS_REZERVAC IS NULL;

UPDATE REZERVAC 
SET ID_PRIVEZ=(SELECT ID_PRIVEZ FROM NNPRIVEZ WHERE NNPRIVEZ.OBJEKT=REZERVAC.NOBJEKT AND NNPRIVEZ.N_PRIVEZA=REZERVAC.PRIVEZ)
WHERE ID_PRIVEZ IS NULL;

INSERT INTO REZERVAC_DETAIL (ID_REZERVAC_DETAIL, ID_REZERVAC, ID_PRIVEZ, DATUM_OD, DATUM_DO, USER_KREIRANJA, DATUM_KREIRANJA)
SELECT REZERVAC_DETAIL_SEQ.NEXTVAL, ID, ID_PRIVEZ, DATUM_REZERVACIJE, DATUM_DO, USER_KREIRANJA, DATUM_KREIRANJA FROM REZERVAC 
WHERE ID_PRIVEZ IS NOT NULL AND DATUM_DO IS NOT NULL AND ID NOT IN (SELECT ID_REZERVAC FROM REZERVAC_DETAIL);

CREATE OR REPLACE VIEW V_REZERVAC AS (
SELECT R.ID, (CASE WHEN STATUS_REZERVAC=1 THEN 1 ELSE 0 END) AS PRISOTNO, D.DATUM_OD AS DATUM_REZERVACIJE, D.DATUM_DO, R.ID_LASTNIKA, 
R.ID_PLOVILA, Coalesce(R.ID_PRESPR,0) AS ID_PRESPR, R.NAZIV, R.PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, D.ID_PRIVEZ, 
R.DOLZINA, R.SIRINA, R.GREZ, '' AS NTIP, R.VRSTA
FROM REZERVAC R
JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC 
LEFT OUTER JOIN NNPRIVEZ NP ON D.ID_PRIVEZ=NP.ID_PRIVEZ 
WHERE R.STORNO IS NULL AND R.DATUM_DO IS NOT NULL
);

DROP INDEX IX_S_ARTIKLI3;
CREATE INDEX IX_S_ARTIKLI3 ON S_ARTIKLI(NAZIV1, V_UPORABI);
CREATE INDEX IX_S_ZALOGE1 ON S_ZALOGE(ID_ARTIKEL, ID_LOKACIJA);

ANALYZE TABLE S_ARTIKLI COMPUTE STATISTICS;

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNVRSKUP', 'VRSTA', 'YC', 'Type', 'YACHT CLUB', 'KUP', 'YACHT CLUB');
INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNVRSKUP', 'VRSTA', 'SKP', 'Type', 'SKIPPER', 'KUP', 'SKIPPER');
INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNVRSKUP', 'VRSTA', 'AG', 'Type', 'AGENCY', 'KUP', 'AGENCY');
INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNVRSKUP', 'VRSTA', 'KU', 'Type', 'BUYER', 'KUP', 'BUYER');
INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNVRSKUP', 'VRSTA', 'TRANSFER', 'Type', 'TRANSFER', 'KUP', 'TRANSFER');

ALTER TABLE M_STORITVE 
MODIFY KOMENTAR VARCHAR2(1000 CHAR);

ALTER TABLE RACUN_DATA
MODIFY RN_TEKST VARCHAR2(1000 CHAR);


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(365, SYSDATE, '5.5', 285, 'Komentar storitve');