ALTER TABLE EMAILS
ADD STATUS_MESSAGE VARCHAR2(1000 CHAR);

CREATE OR REPLACE VIEW V_EMAIL
AS (
SELECT E.ID_EMAIL, E.DATUM_KREIRANJA, E.USER_KREIRANJA, E.ZADEVA, E.POSILJATELJ, E.STATUS, E.DATUM_POSILJANJA, E.AVTOMATSKO_KREIRANJE, E.PREJEMNIK_CC, 
E.PREJEMNIK_BCC, E.PREJEMNIK, E.TEKST, E.MESSAGE_ID, E.DATUM_PREJEMA, E.PREBRANO, E.STATUS_MESSAGE, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM EMAILS E
LEFT OUTER JOIN (SELECT ID_KUPCA, ID_EMAIL, NPISMO, RANK() OVER (PARTITION BY ID_EMAIL ORDER BY ID_OPOMINI ASC) RNK FROM OPOMINI) O ON (O.ID_EMAIL = E.ID_EMAIL AND O.RNK = 1 AND O.NPISMO = 'E')
LEFT OUTER JOIN KUPCI K ON O.ID_KUPCA = K.ID
);

CREATE OR REPLACE VIEW V_KUPCI_EMAIL
AS (
SELECT O.ID_OPOMINI AS ID, K.ID AS KUPCI_ID, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER, E.ID_EMAIL AS EMAIL_ID_EMAIL, E.DATUM_KREIRANJA AS EMAIL_DATUM_KREIRANJA, E.USER_KREIRANJA AS EMAIL_USER_KREIRANJA,
E.TEKST AS EMAIL_TEKST, E.ZADEVA AS EMAIL_ZADEVA, E.POSILJATELJ AS EMAIL_POSILJATELJ, E.PREJEMNIK AS EMAIL_PREJEMNIK, E.STATUS AS EMAIL_STATUS, E.DATUM_POSILJANJA AS EMAIL_DATUM_POSILJANJA, E.AVTOMATSKO_KREIRANJE
AS EMAIL_AVTOMATSKO_KREIRANJE, E.PREJEMNIK_CC AS EMAIL_PREJEMNIK_CC, E.PREJEMNIK_BCC AS EMAIL_PREJEMNIK_BCC, E.PREBRANO AS EMAIL_PREBRANO, E.STATUS_MESSAGE AS EMAIL_STATUS_MESSAGE
FROM OPOMINI O
LEFT OUTER JOIN KUPCI K ON K.ID = O.ID_KUPCA
LEFT OUTER JOIN EMAILS E ON E.ID_EMAIL = O.ID_EMAIL
WHERE O.NPISMO = (SELECT NPISMO FROM NPISMO N WHERE N.NPISMO_TYPE = 'EMAIL')
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (773, SYSDATE, '5.5', 693, 'Email status message');