ALTER TABLE NNFIRMA
ADD TOPIC_PREFIX VARCHAR2(50 CHAR);

CREATE TABLE NNTOPIC (
SIFRA VARCHAR2(3 CHAR), 
OPIS VARCHAR2(100 CHAR), 
INTERNI_OPIS VARCHAR2(100 CHAR), 
CONSTRAINT PK_NNTOPIC PRIMARY KEY (SIFRA)
);

INSERT INTO NNTOPIC(SIFRA, OPIS, INTERNI_OPIS) VALUES ('RTM', 'RFID tag movement', 'RFID tag movement');
INSERT INTO NNTOPIC(SIFRA, OPIS, INTERNI_OPIS) VALUES ('OAS', 'Owner assistance', 'Owner assistance');


CREATE TABLE TOPIC_DEPARTMENT (
	ID NUMBER NOT NULL,
	NNTOPIC VARCHAR2(3 CHAR) NOT NULL,
	NDEPARTMENT VARCHAR2(20 CHAR) NOT NULL,
	CONSTRAINT USER_TOPIC_NNTOPIC_FK FOREIGN KEY (NNTOPIC) REFERENCES NNTOPIC(SIFRA),
	CONSTRAINT USER_TOPIC_NDEPARTMENT_FK FOREIGN KEY (NDEPARTMENT) REFERENCES NDEPARTMENT(SIFRA),
	CONSTRAINT USER_TOPIC_PK PRIMARY KEY (ID)
);

ALTER TABLE TOPIC_DEPARTMENT
ADD CONSTRAINT TOPIC_DEPARTMENT_UNIQUE
UNIQUE (NNTOPIC, NDEPARTMENT);

CREATE SEQUENCE TOPIC_DEPARTMENT_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_TOPIC_DEPARTMENT AS (
	SELECT TD.ID, TD.NNTOPIC, TD.NDEPARTMENT, NT.OPIS AS NNTOPIC_OPIS, NT.INTERNI_OPIS AS NNTOPIC_INTERNI_OPIS,
  ND.OPIS AS NDEPARTMENT_OPIS, ND.INTERNI_OPIS AS NDEPARTMENT_INTERNI_OPIS
	FROM TOPIC_DEPARTMENT TD
  LEFT OUTER JOIN NNTOPIC NT ON NT.SIFRA = TD.NNTOPIC
  LEFT OUTER JOIN NDEPARTMENT ND ON ND.SIFRA = TD.NDEPARTMENT
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (860, SYSDATE, '5.5', 780, 'Topics');