CREATE OR REPLACE VIEW V_SALDKONT AS (
	SELECT S.ID_SALDKONT AS SALDKONT_ID_SALDKONT, S.N_RACUNA AS SALDKONT_N_RACUNA, S.DATUM AS SALDKONT_DATUM, S.ZA_PLACILO AS SALDKONT_ZA_PLACILO, S.PORABLJENO AS SALDKONT_PORABLJENO, S.VALUTA_RN AS SALDKONT_VALUTA_RN,
  S.DATUM_VALUTACIJE AS SALDKONT_DATUM_VALUTACIJE, S.VRSTA_RACUNA AS SALDKONT_VRSTA_RACUNA, S.USER_KREIRANJA AS SALDKONT_USER_KREIRANJA, S.DATUM_KREIRANJA AS SALDKONT_DATUM_KREIRANJA,
  S.USER_SPREMEMBE AS SALDKONT_USER_SPREMEMBE, S.DATUM_SPREMEMBE AS SALDKONT_DATUM_SPREMEMBE, S.ID_KUPCA AS SALDKONT_ID_KUPCA, S.ID_PLOVILA AS SALDKONT_ID_PLOVILA, S.ZAPRTO AS SALDKONT_ZAPRTO,
  S.SDK_RN_PL AS SALDKONT_SDK_RN_PL, S.LASTNIK_OBVESCEN AS SALDKONT_LASTNIK_OBVESCEN, S.STORNO AS SALDKONT_STORNO, S.KOMENTAR AS SALDKONT_KOMENTAR, S.ID_CARDS AS SALDKONT_ID_CARDS, S.ZNESEK AS SALDKONT_ZNESEK,
  S.PROTIVREDNOST AS SALDKONT_PROTIVREDNOST, CASE WHEN S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) THEN 'Y' ELSE 'N' END AS SALDKONT_DOMESTIC, S.TECAJ_PRERACUN AS SALDKONT_TECAJ_PRERACUN, S.N_KNJIZBE AS SALDKONT_N_KNJIZBE,
  CASE WHEN S.SDK_RN_TIP = 'P' AND EXISTS (SELECT * FROM SALDKONT WHERE N_RACUNA = S.N_RACUNA AND SDK_RN_TIP = 'I' AND ZAPRTO = 1) THEN 'Y' ELSE 'N' END AS REC_INV_HAS_CLOSED_ISSUED_INV,
  N.OPIS AS M_NNSTOMAR_OPIS, N.KAT AS M_NNSTOMAR_KAT, N.TIMEKAT AS M_NNSTOMAR_TIMEKAT, N.SUBLEASE AS M_NNSTOMAR_SUBLEASE,
  D.ID_PRINT_DOK AS PRINT_DOK_ID_PRINT_DOK, D.STEVILKA AS PRINT_DOK_STEVILKA, D.OPIS AS PRINT_DOK_OPIS, D.DATOTEKA AS PRINT_DOK_DATOTEKA, D.PDF AS PRINT_DOK_PDF, D.OBJAVI AS PRINT_DOK_OBJAVI,
  K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.SALDAKONTI_SIT AS KUPCI_SALDAKONTI_SIT, K.NASLOV AS KUPCI_NASLOV, K.POSTA AS KUPCI_POSTA, K.MESTO AS KUPCI_MESTO, K.DAVCNA_STEVILKA AS KUPCI_DAVCNA_STEVILKA,
  K.SIFRA_DOB AS KUPCI_SIFRA_DOB, K.INT_CODE AS KUPCI_INT_CODE,
  KND.OZNAKA AS KUPCI_NDRZAVA_OZNAKA, NC.OPIS AS NNCARDS_OPIS, NC.VRSTA_DENARJA AS NNCARDS_VRSTA_DENARJA, M.ID_PRIVEZ AS M_STORITVE_ID_PRIVEZ, NNP.N_PRIVEZA AS M_STORITVE_NNPRIVEZ_N_PRIVEZA
	FROM SALDKONT S
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_SALDKONT = S.ID_SALDKONT
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = R.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR N ON N.SIFRA = M.STORITEV
  LEFT OUTER JOIN PRINT_DOK D ON D.MODUL = S.VRSTA_RACUNA AND D.REFERENCA = S.ID_SALDKONT
  LEFT OUTER JOIN KUPCI K ON K.ID = S.ID_KUPCA
  LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = S.ID_CARDS
  LEFT OUTER JOIN NNDRZAVE KND ON KND.SIFRA = K.NDRZAVA
  LEFT OUTER JOIN NNPRIVEZ NNP ON NNP.ID_PRIVEZ = M.ID_PRIVEZ
  WHERE R.ZAP_ST IS NULL OR R.ZAP_ST = 1
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (990, SYSDATE, '5.5', 910, 'VSaldkont');